@import './theme';
@import './theme-status';

$fmi-plateau-primary-color-default: mat-color($fmi-plateau-app-primary);
$fmi-plateau-accent-color-default: mat-color($fmi-plateau-app-accent);
$fmi-plateau-warn-color-default: mat-color($fmi-status-warning);

$fmi-plateau-primary-color-lighter-x: mat-color($fmi-plateau-app-primary, 50);
$fmi-plateau-accent-color-lighter-x: mat-color($fmi-plateau-app-accent, 50);
$fmi-plateau-warn-color-lighter-x: mat-color($fmi-status-warning, 50);

$fmi-plateau-primary-color-lighter: mat-color($fmi-plateau-app-primary, 'lighter');
$fmi-plateau-accent-color-lighter: mat-color($fmi-plateau-app-accent, 'lighter');
$fmi-plateau-warn-color-lighter: mat-color($fmi-status-warning, 'lighter');

$fmi-plateau-primary-color-darker: mat-color($fmi-plateau-app-primary, 'darker');
$fmi-plateau-accent-color-darker: mat-color($fmi-plateau-app-accent, 'darker');
$fmi-plateau-warn-color-darker: mat-color($fmi-status-warning, 'darker');

$fmi-plateau-primary-color-text: mat-color($fmi-plateau-app-primary, 'text');
$fmi-plateau-accent-color-text: mat-color($fmi-plateau-app-accent, 'text');
$fmi-plateau-warn-color-text: mat-color($fmi-status-warning, 'text');

$fmi-plateau-primary-color-contrast-default: mat-color($fmi-plateau-app-primary, 'default-contrast');
$fmi-plateau-accent-color-contrast-default: mat-color($fmi-plateau-app-accent, 'default-contrast');
$fmi-plateau-warn-color-contrast-default: mat-color($fmi-status-warning, 'default-contrast');

$fmi-plateau-primary-color-contrast-lighter: mat-color($fmi-plateau-app-primary, 'lighter-contrast');
$fmi-plateau-accent-color-contrast-lighter: mat-color($fmi-plateau-app-accent, 'lighter-contrast');
$fmi-plateau-warn-color-contrast-lighter: mat-color($fmi-status-warning, 'lighter-contrast');

$fmi-plateau-primary-color-contrast-darker: mat-color($fmi-plateau-app-primary, 'darker-contrast');
$fmi-plateau-accent-color-contrast-darker: mat-color($fmi-plateau-app-accent, 'darker-contrast');
$fmi-plateau-warn-color-contrast-darker: mat-color($fmi-status-warning, 'darker-contrast');

$breakpoints: (xxs: 399px, xs: 599px, sm: 959px, md: 1279px, lg: 1919px, xl: 4999px);

$fmi-status-success-color: mat-color($fmi-status-success);
$fmi-status-error-color: mat-color($fmi-status-error);
$fmi-status-warning-color: mat-color($fmi-status-warning);
